Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1517978 - Owner Specific Debug logging not working for Pool Refresh
Summary: Owner Specific Debug logging not working for Pool Refresh
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Candlepin
Classification: Community
Component: candlepin
Version: 2.0
Hardware: Unspecified
OS: Unspecified
medium
low
Target Milestone: ---
: ---
Assignee: Chris "Ceiu" Rog
QA Contact: Katello QA List
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-11-27 19:46 UTC by Tramaine Darby
Modified: 2018-05-01 18:56 UTC (History)
4 users (show)

Fixed In Version: candlepin-2.5.1-1
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-05-01 18:56:29 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Github candlepin candlepin pull 1975 None None None 2018-04-25 13:30:25 UTC

Description Tramaine Darby 2017-11-27 19:46:05 UTC
Description of problem: Owners set with a loglevel of DEBUG are not resulting in DEBUG log records being written.  


Version-Release number of selected component (if applicable): 2.0.43


How reproducible: every time


Steps to Reproduce:
1. Set an owner's log level via the API (PUT /candlepin/owners/{orgId}/log?level=DEBUG
2. Issue a Pool Refresh for that org
3. Check the logs

Actual results: Logs contain only INFO entries for that owner.

Expected results: Logs contain DEBUG, INFO entries for that owner.


Additional info:
Example from PROD:
{
    "parentOwner": null,
    "id": "ff808081570b591401570b5b7e260000",
    "key": "7791251",
    "displayName": "7791251",
    "contentPrefix": null,
    "defaultServiceLevel": null,
    "upstreamConsumer": null,
    "logLevel": "DEBUG",
    "autobindDisabled": null,
    "contentAccessMode": null,
    "contentAccessModeList": null,
    "href": "/owners/7791251",
    "created": "2016-09-08T19:52:07+0000",
    "updated": "2017-11-27T19:08:11+0000"
}

Splunk logs - https://splunk.corp.redhat.com/en-US/app/search/search?sid=1511811823.138490_A18D6D56-D175-4B9C-8A3B-38C94E63C414


Note You need to log in before you can comment on or make changes to this bug.